Call
Get call transcript
Fetch the full transcript for a specific call. Optionally specify a transcription source; otherwise the best available source is used automatically.
GET
/
v1
/
call
/
{callId}
/
transcript
JavaScript
import Roark from '@roarkanalytics/sdk';
const client = new Roark({
bearerToken: process.env['ROARK_API_BEARER_TOKEN'], // This is the default and can be omitted
});
const response = await client.call.getTranscript('callId');
console.log(response.data);import os
from roark_analytics import Roark
client = Roark(
bearer_token=os.environ.get("ROARK_API_BEARER_TOKEN"), # This is the default and can be omitted
)
response = client.call.get_transcript(
call_id="callId",
)
print(response.data)curl --request GET \
--url https://api.roark.ai/v1/call/{callId}/transcript \
--header 'Authorization: Bearer <token>'
{
"data": {
"participants": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "<string>",
"agentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"entries": [
{
"participantId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"text": "<string>",
"startOffsetMs": 1,
"endOffsetMs": 1
}
]
}
}{
"type": "authentication",
"code": "unauthorized",
"message": "Authentication required"
}{
"type": "forbidden",
"code": "permission_denied",
"message": "You do not have permission to access this resource"
}{
"type": "not_found",
"code": "resource_not_found",
"message": "The requested resource could not be found"
}{
"type": "rate_limit",
"code": "too_many_requests",
"message": "Rate limit exceeded"
}{
"type": "internal",
"code": "internal_error",
"message": "Internal server error"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Query Parameters
Transcription source to fetch. When omitted, uses the preferred source based on availability: CUSTOMER_AGENT_REALTIME > SIMULATION_AGENT_REALTIME > ROARK_POST_CALL
Available options:
ROARK_POST_CALL, SIMULATION_AGENT_REALTIME, CUSTOMER_AGENT_REALTIME Response
Transcript for the specified call
Call transcript response
Show child attributes
Show child attributes
⌘I
JavaScript
import Roark from '@roarkanalytics/sdk';
const client = new Roark({
bearerToken: process.env['ROARK_API_BEARER_TOKEN'], // This is the default and can be omitted
});
const response = await client.call.getTranscript('callId');
console.log(response.data);import os
from roark_analytics import Roark
client = Roark(
bearer_token=os.environ.get("ROARK_API_BEARER_TOKEN"), # This is the default and can be omitted
)
response = client.call.get_transcript(
call_id="callId",
)
print(response.data)